import 'package:purchases_flutter/purchases_flutter.dart';

import '../model/models.dart';

class RevCatIapService {
  final RevcatIapConfig _config;

  const RevCatIapService(this._config);

  String get entitlementID => _config.entitlementID;

  int get limitFreeIdentify => _config.limitFreeUsage;

  List<SubscriptionItem> Function(List<Package>) get packageConverter =>
      _config.packageConverter;
}
